compact2, compact3
org.w3c.dom.ls

## Class LSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.ls.LSException

- All Implemented Interfaces:
    Serializable

      public class LSException
      extends RuntimeException

  Parser or write operations may throw an `LSException` if the processing is stopped. The processing can be stopped due to a `DOMError` with a severity of `DOMError.SEVERITY_FATAL_ERROR` or a non recovered `DOMError.SEVERITY_ERROR`, or if `DOMErrorHandler.handleError()` returned `false`.

  Note: As suggested in the definition of the constants in the `DOMError` interface, a DOM implementation may choose to continue after a fatal error, but the resulting DOM tree is then implementation dependent.

  See also the Document Object Model (DOM) Level 3 Load and Save Specification.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `short` | `code` |
    `static short` | `PARSE_ERR` | If an attempt was made to load a document, or an XML Fragment, using `LSParser` and the processing has been stopped.
    `static short` | `SERIALIZE_ERR` | If an attempt was made to serialize a `Node` using `LSSerializer` and the processing has been stopped.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LSException(short code, String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### code

          public short code

    - #### PARSE_ERR

          public static final short PARSE_ERR

      If an attempt was made to load a document, or an XML Fragment, using `LSParser` and the processing has been stopped.
      See Also:
        Constant Field Values

    - #### SERIALIZE_ERR

          public static final short SERIALIZE_ERR

      If an attempt was made to serialize a `Node` using `LSSerializer` and the processing has been stopped.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LSException

          public LSException(short code,
                             String message)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.